<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.yidianling.im"
    android:installLocation="auto">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.FLASHLIGHT" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.BROADCAST_STICKY" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <permission
        android:name="${APPLICATIONID}.permission.RECEIVE_MSG"
        android:protectionLevel="signature" />
    <uses-permission android:name="${APPLICATIONID}.permission.RECEIVE_MSG" />

    <application>

        <!--<receiver android:name="com.netease.nimlib.mixpush.hw.HWPushReceiver">
            <intent-filter>
                <action android:name="com.huawei.android.push.intent.REGISTRATION" />
                <action android:name="com.huawei.android.push.intent.RECEIVE" />
                <action android:name="com.huawei.android.push.intent.CLICK" />
                <action android:name="com.huawei.intent.action.PUSH_STATE" />
            </intent-filter>
            <meta-data
                android:name="CS_cloud_ablitity"
                android:value="successRateAnalytics" />
        </receiver>-->

        <!-- ==================== IM ==================== -->
        <!-- ==================== IM ==================== -->
        <!-- ==================== IM ==================== -->

        <meta-data
            android:name="com.netease.nim.appKey"
            android:value="4e258ba5cdf489fa188274ebf0fb5669" />

        <!-- 全面屏配置 -->
        <meta-data
            android:name="android.max_aspect"
            android:value="2.1" />


        <activity
            android:name=".ui.activity.SystemMsgDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme" />
        <activity
            android:name=".ui.activity.OtherMsgDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme" />

        <!--前置信息手机页面-->
        <activity
            android:name=".ui.activity.CmsExamQuestionPaperActivity"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme" />

        <!-- 云信 集成配置 -->
        <!-- 声明云信后台服务 -->
        <service
            android:name="com.netease.nimlib.service.NimService"
            android:process=":core" />

        <!-- 运行后台辅助服务 -->
        <service
            android:name="com.netease.nimlib.service.NimService$Aux"
            android:process=":core" />

        <!-- 声明云信后台辅助服务 -->
        <service
            android:name="com.netease.nimlib.job.NIMJobService"
            android:exported="true"
            android:permission="android.permission.BIND_JOB_SERVICE"
            android:process=":core" />

        <!-- 云信SDK的监视系统启动和网络变化的广播接收器，用户开机自启动以及网络变化时候重新登录 -->
        <receiver
            android:name="com.netease.nimlib.service.NimReceiver"
            android:exported="false"
            android:process=":core">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
            </intent-filter>
        </receiver>

        <!-- 云信进程间通信receiver -->
        <receiver android:name="com.netease.nimlib.service.ResponseReceiver" />

        <!-- 云信进程间通信service -->
        <service android:name="com.netease.nimlib.service.ResponseService" />

        <!-- 云信进程间通信provider -->
        <!-- android:authorities="{包名}.ipc.provider", 请将com.yidianling.im替换为自己的包名 -->
        <provider
            android:name="com.netease.nimlib.ipc.NIMContentProvider"
            android:authorities="${APPLICATIONID}.ipc.provider"
            android:exported="false"
            android:process=":core" />

        <!-- 云信内部使用的进程间通信provider -->
        <!-- SDK启动时会强制检测该组件的声明是否配置正确，如果检测到该声明不正确，SDK会主动抛出异常引发崩溃 -->
        <provider
            android:name="com.netease.nimlib.ipc.cp.provider.PreferenceContentProvider"
            android:authorities="${APPLICATIONID}.ipc.provider.preference"
            android:exported="false" />
        <!-- ====================IM - AvChat==================== -->
        <!-- ====================IM - AvChat==================== -->
        <!-- ====================IM - AvChat==================== -->

        <activity
            android:name="com.yidianling.avchatkit.activity.AVChatActivity"
            android:launchMode="singleInstance"
            android:screenOrientation="portrait"
            android:theme="@style/FullScreenTheme"
            android:windowSoftInputMode="stateAlwaysHidden" />

        <!-- 音视频 -->
        <activity
            android:name="com.yidianling.avchatkit.teamavchat.activity.TeamAVChatActivity"
            android:launchMode="singleInstance"
            android:screenOrientation="portrait"
            android:theme="@style/FullScreenTheme"
            android:windowSoftInputMode="stateAlwaysHidden" />


        <!-- 申明本地电话状态（通话状态）的广播接收器，第三方APP集成时音视频模块时，如果需要在App中处理网络通话与本地电话的交互请加上此接收器 -->
        <receiver android:name="com.yidianling.avchatkit.receiver.IncomingCallReceiver">
            <intent-filter>
                <action android:name="android.intent.action.PHONE_STATE" />
            </intent-filter>
        </receiver>

        <!-- ====================IM - UIKit==================== -->
        <!-- ====================IM - UIKit==================== -->
        <!-- ====================IM - UIKit==================== -->

        <activity
            android:name="com.yidianling.uikit.business.session.activity.YDLP2PMessageActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name="com.yidianling.uikit.business.session.activity.YDLTeamMessageActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />

        <!-- 群聊 -->
        <activity
            android:name="com.yidianling.uikit.business.team.activity.NormalTeamInfoActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name="com.yidianling.uikit.business.team.activity.AdvancedTeamInfoActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name="com.yidianling.uikit.business.team.activity.AdvancedTeamMemberActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name="com.yidianling.uikit.business.team.activity.AdvancedTeamAnnounceActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name="com.yidianling.uikit.business.team.activity.AdvancedTeamMemberInfoActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name="com.yidianling.uikit.business.team.activity.AdvancedTeamNicknameActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name="com.yidianling.uikit.business.team.activity.AdvancedTeamCreateAnnounceActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name="com.yidianling.uikit.business.team.activity.TeamPropertySettingActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />

        <!-- 联系人选择器 -->
        <activity
            android:name="com.yidianling.uikit.business.contact.selector.activity.ContactSelectActivity"
            android:configChanges="keyboardHidden|orientation"
            android:label="@string/im_contact_selector"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustPan" />

        <!-- @ 选择器 -->
        <activity
            android:name="com.yidianling.uikit.business.ait.selector.AitContactSelectorActivity"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme" />

        <!-- 视频 -->
        <activity
            android:name="com.yidianling.uikit.business.session.activity.CaptureVideoActivity"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="portrait"
            android:theme="@style/platform_NoTitleTheme"
            android:windowSoftInputMode="stateHidden|adjustResize" />

        <activity
            android:name="com.yidianling.uikit.business.session.activity.WatchVideoActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/im_video_play"
            android:theme="@style/platform_NoTitleTheme" />

        <!-- 查看大图 -->
        <activity
            android:name="com.yidianling.uikit.business.session.activity.WatchMessagePictureActivity"
            android:configChanges="keyboardHidden"
            android:theme="@style/platform_NoTitleTheme" />

        <activity
            android:name="com.yidianling.uikit.business.session.activity.WatchPicAndVideoMenuActivity"
            android:configChanges="keyboardHidden"
            android:theme="@style/platform_NoTitleTheme" />
    </application>
</manifest>
